DatabaseToolsRuntimeClient¶
- class oci.database_tools_runtime.DatabaseToolsRuntimeClient(config, **kwargs)¶
Use the Database Tools Runtime API to connect to databases through Database Tools Connections.
Methods:
__init__(config, **kwargs)Creates a new service client
cancel_work_request(work_request_id, **kwargs)Attempts to cancel the specified work request.
create_credential(...)Creates a credential for the user specified by the key.
Grants the EXECUTE privilege on the credential to the user specified by the key.
Creates a public synonym for the given credentials
Create a Database Tools database API gateway config pool resource
create_database_tools_database_api_gateway_config_pool_api_spec(...)Create a Database Tools database API gateway config API spec resource
create_database_tools_database_api_gateway_config_pool_auto_api_spec(...)Create a Database Tools database API gateway config auto API spec resource
delete_credential(...)Delete credential
Delete execute grantee
Deletes the public synonym
Deletes the specified Database Tools database API gateway config pool resource.
delete_database_tools_database_api_gateway_config_pool_api_spec(...)Deletes the specified Database Tools database API gateway config API spec resource.
delete_database_tools_database_api_gateway_config_pool_auto_api_spec(...)Deletes the specified Database Tools database API gateway config auto API spec resource.
Execute statements on a database tools connection.
get_credential(database_tools_connection_id, ...)Get a credential
Get a credential execute grantee
Get a public synonym
Get the content of a Database Tools database API gateway config
Get a Database Tools database API gateway config global resource
Get a Database Tools database API gateway config pool resource
get_database_tools_database_api_gateway_config_pool_api_spec(...)Get a Database Tools database API gateway config API spec resource
get_database_tools_database_api_gateway_config_pool_auto_api_spec(...)Get a Database Tools database API gateway config auto API spec resource
get_property_set(...)Get a property set
get_user_credential(...)Get a user credential
get_work_request(work_request_id, **kwargs)Gets the status of the specified work request.
Get a list of all execute grantees
Get a list of all public synonyms for the given credential
list_credentials(...)Returns a paginated list of CredentialSummary for the specified request.
list_database_tools_database_api_gateway_config_advanced_properties(...)Returns list of database API gateway config setting descriptions to be provided as advanced properties.
list_database_tools_database_api_gateway_config_pool_api_specs(...)Returns a list of Database Tools database API gateway config API spec resources
list_database_tools_database_api_gateway_config_pool_auto_api_specs(...)Returns a list of Database Tools database API gateway config auto API spec resources
Returns a list of Database Tools database API gateway config pool resources
Returns a paginated list of user UserCredentialSummary for the specified request.
list_work_request_errors(work_request_id, ...)Returns a paginated list of errors for the specified work request.
list_work_request_logs(work_request_id, **kwargs)Returns a paginated list of logs for the specified work request.
list_work_requests(compartment_id, **kwargs)Lists the work requests in a compartment.
update_credential(...)Update a credential
update_database_tools_database_api_gateway_config_global(...)Update a Database Tools database API gateway config global resource
Update a Database Tools database API gateway config pool resource
update_database_tools_database_api_gateway_config_pool_api_spec(...)Update a Database Tools database API gateway config API spec resource
update_database_tools_database_api_gateway_config_pool_auto_api_spec(...)Update a Database Tools database API gateway config auto API spec resource
update_property_set(...)Update a property set
Validates the specified Database Tools connection.
Validates the Database Tools identity credentials by establishing a connection to the customer database and executing the dbms_cloud.send_request to validate the credential.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- cancel_work_request(work_request_id, **kwargs)¶
Attempts to cancel the specified work request.
- Parameters
work_request_id (str) – (required) The ID of the asynchronous request.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use cancel_work_request API.
- create_credential(database_tools_connection_id, create_credential_details, **kwargs)¶
Creates a credential for the user specified by the key.
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
create_credential_details (oci.database_tools_runtime.models.CreateCredentialDetails) – (required) The payload to create credential.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCredential- Return type
- Example
Click here to see an example of how to use create_credential API.
- create_credential_execute_grantee(database_tools_connection_id, credential_key, create_credential_execute_grantee_details, **kwargs)¶
Grants the EXECUTE privilege on the credential to the user specified by the key.
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
credential_key (str) – (required) The name of the credential
create_credential_execute_grantee_details (oci.database_tools_runtime.models.CreateCredentialExecuteGranteeDetails) – (required) The payload to create an execute grantee.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCredentialExecuteGrantee- Return type
- Example
Click here to see an example of how to use create_credential_execute_grantee API.
- create_credential_public_synonym(database_tools_connection_id, credential_key, create_credential_public_synonym_details, **kwargs)¶
Creates a public synonym for the given credentials
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
credential_key (str) – (required) The name of the credential
create_credential_public_synonym_details (oci.database_tools_runtime.models.CreateCredentialPublicSynonymDetails) – (required) The payload to create a public synonym for the given credentials.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCredentialPublicSynonym- Return type
- Example
Click here to see an example of how to use create_credential_public_synonym API.
- create_database_tools_database_api_gateway_config_pool(database_tools_database_api_gateway_config_id, create_database_tools_database_api_gateway_config_pool_details, **kwargs)¶
Create a Database Tools database API gateway config pool resource
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
create_database_tools_database_api_gateway_config_pool_details (oci.database_tools_runtime.models.CreateDatabaseToolsDatabaseApiGatewayConfigPoolDetails) – (required) Details for the new Database Tools database API gateway config pool resource.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) –
(optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
Accepted characters: ASCII alphanumerics plus underscore (U+005F LOW LINE “_”) and dash (U+002D HYPHEN-MINUS “-“)
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigPool- Return type
- Example
Click here to see an example of how to use create_database_tools_database_api_gateway_config_pool API.
- create_database_tools_database_api_gateway_config_pool_api_spec(database_tools_database_api_gateway_config_id, pool_key, create_database_tools_database_api_gateway_config_pool_api_spec_details, **kwargs)¶
Create a Database Tools database API gateway config API spec resource
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
create_database_tools_database_api_gateway_config_pool_api_spec_details (oci.database_tools_runtime.models.CreateDatabaseToolsDatabaseApiGatewayConfigPoolApiSpecDetails) – (required) Details for the new Database Tools database API gateway config API spec resource.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) –
(optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
Accepted characters: ASCII alphanumerics plus underscore (U+005F LOW LINE “_”) and dash (U+002D HYPHEN-MINUS “-“)
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigPoolApiSpec- Return type
- Example
Click here to see an example of how to use create_database_tools_database_api_gateway_config_pool_api_spec API.
- create_database_tools_database_api_gateway_config_pool_auto_api_spec(database_tools_database_api_gateway_config_id, pool_key, create_database_tools_database_api_gateway_config_pool_auto_api_spec_details, **kwargs)¶
Create a Database Tools database API gateway config auto API spec resource
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
create_database_tools_database_api_gateway_config_pool_auto_api_spec_details (oci.database_tools_runtime.models.CreateDatabaseToolsDatabaseApiGatewayConfigPoolAutoApiSpecDetails) – (required) Details for the new Database Tools database API gateway config auto API spec resource.
opc_request_id (str) – (optional) The client request ID for tracing.
opc_retry_token (str) –
(optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
Accepted characters: ASCII alphanumerics plus underscore (U+005F LOW LINE “_”) and dash (U+002D HYPHEN-MINUS “-“)
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigPoolAutoApiSpec- Return type
- Example
Click here to see an example of how to use create_database_tools_database_api_gateway_config_pool_auto_api_spec API.
- delete_credential(database_tools_connection_id, credential_key, **kwargs)¶
Delete credential
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
credential_key (str) – (required) The name of the credential
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_credential API.
- delete_credential_execute_grantee(database_tools_connection_id, credential_key, execute_grantee_key, **kwargs)¶
Delete execute grantee
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
credential_key (str) – (required) The name of the credential
execute_grantee_key (str) – (required) The name of the user granted the EXECUTE privilege on the credential.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_credential_execute_grantee API.
- delete_credential_public_synonym(database_tools_connection_id, credential_key, public_synonym_key, **kwargs)¶
Deletes the public synonym
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
credential_key (str) – (required) The name of the credential
public_synonym_key (str) – (required) The name of the public synonym for the credential
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_credential_public_synonym API.
- delete_database_tools_database_api_gateway_config_pool(database_tools_database_api_gateway_config_id, pool_key, **kwargs)¶
Deletes the specified Database Tools database API gateway config pool resource.
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_database_tools_database_api_gateway_config_pool API.
- delete_database_tools_database_api_gateway_config_pool_api_spec(database_tools_database_api_gateway_config_id, pool_key, api_spec_key, **kwargs)¶
Deletes the specified Database Tools database API gateway config API spec resource.
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
api_spec_key (str) – (required) The key of the API spec config.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_database_tools_database_api_gateway_config_pool_api_spec API.
- delete_database_tools_database_api_gateway_config_pool_auto_api_spec(database_tools_database_api_gateway_config_id, pool_key, auto_api_spec_key, **kwargs)¶
Deletes the specified Database Tools database API gateway config auto API spec resource.
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
auto_api_spec_key (str) – (required) The key of the auto API spec config.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_database_tools_database_api_gateway_config_pool_auto_api_spec API.
- execute_sql_database_tools_connection(database_tools_connection_id, execute_sql_database_tools_connection_details, **kwargs)¶
Execute statements on a database tools connection.
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
execute_sql_database_tools_connection_details (oci.database_tools_runtime.models.ExecuteSqlDatabaseToolsConnectionDetails) – (required) Script to execute on a DatabaseToolsConnection.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeExecuteSqlResponse- Return type
- Example
Click here to see an example of how to use execute_sql_database_tools_connection API.
- get_credential(database_tools_connection_id, credential_key, **kwargs)¶
Get a credential
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
credential_key (str) – (required) The name of the credential
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCredential- Return type
- Example
Click here to see an example of how to use get_credential API.
- get_credential_execute_grantee(database_tools_connection_id, credential_key, execute_grantee_key, **kwargs)¶
Get a credential execute grantee
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
credential_key (str) – (required) The name of the credential
execute_grantee_key (str) – (required) The name of the user granted the EXECUTE privilege on the credential.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCredentialExecuteGrantee- Return type
- Example
Click here to see an example of how to use get_credential_execute_grantee API.
- get_credential_public_synonym(database_tools_connection_id, credential_key, public_synonym_key, **kwargs)¶
Get a public synonym
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
credential_key (str) – (required) The name of the credential
public_synonym_key (str) – (required) The name of the public synonym for the credential
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCredentialPublicSynonym- Return type
- Example
Click here to see an example of how to use get_credential_public_synonym API.
- get_database_tools_database_api_gateway_config_content(database_tools_database_api_gateway_config_id, **kwargs)¶
Get the content of a Database Tools database API gateway config
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
if_none_match (str) – (optional) For conditional requests. In the GET call for a resource, set the If-None-Match header to the value of the ETag from a previous GET (or POST or PUT) response for that resource. The server will return with either a 304 Not Modified response if the resource has not changed, or a 200 OK response with the updated representation.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type stream- Return type
- Example
Click here to see an example of how to use get_database_tools_database_api_gateway_config_content API.
- get_database_tools_database_api_gateway_config_global(database_tools_database_api_gateway_config_id, global_key, **kwargs)¶
Get a Database Tools database API gateway config global resource
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
global_key (str) –
(required) The key of the global config.
Allowed values are: “SETTINGS”
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigGlobal- Return type
- Example
Click here to see an example of how to use get_database_tools_database_api_gateway_config_global API.
- get_database_tools_database_api_gateway_config_pool(database_tools_database_api_gateway_config_id, pool_key, **kwargs)¶
Get a Database Tools database API gateway config pool resource
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigPool- Return type
- Example
Click here to see an example of how to use get_database_tools_database_api_gateway_config_pool API.
- get_database_tools_database_api_gateway_config_pool_api_spec(database_tools_database_api_gateway_config_id, pool_key, api_spec_key, **kwargs)¶
Get a Database Tools database API gateway config API spec resource
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
api_spec_key (str) – (required) The key of the API spec config.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigPoolApiSpec- Return type
- Example
Click here to see an example of how to use get_database_tools_database_api_gateway_config_pool_api_spec API.
- get_database_tools_database_api_gateway_config_pool_auto_api_spec(database_tools_database_api_gateway_config_id, pool_key, auto_api_spec_key, **kwargs)¶
Get a Database Tools database API gateway config auto API spec resource
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
auto_api_spec_key (str) – (required) The key of the auto API spec config.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigPoolAutoApiSpec- Return type
- Example
Click here to see an example of how to use get_database_tools_database_api_gateway_config_pool_auto_api_spec API.
- get_property_set(database_tools_connection_id, property_set_key, **kwargs)¶
Get a property set
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
property_set_key (str) –
(required) The name of the property set
Allowed values are: “APEX_DOCUMENT_GENERATOR”, “APEX”, “APEX_FA_INTEGRATION”, “ORACLE_DATABASE_EXTERNAL_AUTHENTICATION”
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typePropertySet- Return type
- Example
Click here to see an example of how to use get_property_set API.
- get_user_credential(database_tools_connection_id, user_key, credential_key, **kwargs)¶
Get a user credential
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
user_key (str) – (required) The name of the database user.
credential_key (str) – (required) The name of the credential
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeUserCredential- Return type
- Example
Click here to see an example of how to use get_user_credential API.
- get_work_request(work_request_id, **kwargs)¶
Gets the status of the specified work request.
- Parameters
work_request_id (str) – (required) The ID of the asynchronous request.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequest- Return type
- Example
Click here to see an example of how to use get_work_request API.
- list_credential_execute_grantees(database_tools_connection_id, credential_key, **kwargs)¶
Get a list of all execute grantees
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
credential_key (str) – (required) The name of the credential
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCredentialExecuteGranteeCollection- Return type
- Example
Click here to see an example of how to use list_credential_execute_grantees API.
- list_credential_public_synonyms(database_tools_connection_id, credential_key, **kwargs)¶
Get a list of all public synonyms for the given credential
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
credential_key (str) – (required) The name of the credential
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCredentialPublicSynonymCollection- Return type
- Example
Click here to see an example of how to use list_credential_public_synonyms API.
- list_credentials(database_tools_connection_id, **kwargs)¶
Returns a paginated list of CredentialSummary for the specified request.
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCredentialCollection- Return type
- Example
Click here to see an example of how to use list_credentials API.
- list_database_tools_database_api_gateway_config_advanced_properties(**kwargs)¶
Returns list of database API gateway config setting descriptions to be provided as advanced properties.
- Parameters
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigAdvancedPropertySummaryCollection- Return type
- Example
Click here to see an example of how to use list_database_tools_database_api_gateway_config_advanced_properties API.
- list_database_tools_database_api_gateway_config_pool_api_specs(database_tools_database_api_gateway_config_id, pool_key, **kwargs)¶
Returns a list of Database Tools database API gateway config API spec resources
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
display_name (str) – (optional) A filter to return only resources that match the entire specified display name.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigPoolApiSpecCollection- Return type
- Example
Click here to see an example of how to use list_database_tools_database_api_gateway_config_pool_api_specs API.
- list_database_tools_database_api_gateway_config_pool_auto_api_specs(database_tools_database_api_gateway_config_id, pool_key, **kwargs)¶
Returns a list of Database Tools database API gateway config auto API spec resources
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
display_name (str) – (optional) A filter to return only resources that match the entire specified display name.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigPoolAutoApiSpecCollection- Return type
- Example
Click here to see an example of how to use list_database_tools_database_api_gateway_config_pool_auto_api_specs API.
- list_database_tools_database_api_gateway_config_pools(database_tools_database_api_gateway_config_id, **kwargs)¶
Returns a list of Database Tools database API gateway config pool resources
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
display_name (str) – (optional) A filter to return only resources that match the entire specified display name.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigPoolCollection- Return type
- Example
Click here to see an example of how to use list_database_tools_database_api_gateway_config_pools API.
- list_user_credentials(database_tools_connection_id, user_key, **kwargs)¶
Returns a paginated list of user UserCredentialSummary for the specified request.
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
user_key (str) – (required) The name of the database user.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeUserCredentialCollection- Return type
- Example
Click here to see an example of how to use list_user_credentials API.
- list_work_request_errors(work_request_id, **kwargs)¶
Returns a paginated list of errors for the specified work request.
- Parameters
work_request_id (str) – (required) The ID of the asynchronous request.
opc_request_id (str) – (optional) The client request ID for tracing.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
limit (int) – (optional) The maximum number of items to return.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestErrorCollection- Return type
- Example
Click here to see an example of how to use list_work_request_errors API.
- list_work_request_logs(work_request_id, **kwargs)¶
Returns a paginated list of logs for the specified work request.
- Parameters
work_request_id (str) – (required) The ID of the asynchronous request.
opc_request_id (str) – (optional) The client request ID for tracing.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
limit (int) – (optional) The maximum number of items to return.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestLogEntryCollection- Return type
- Example
Click here to see an example of how to use list_work_request_logs API.
- list_work_requests(compartment_id, **kwargs)¶
Lists the work requests in a compartment.
- Parameters
compartment_id (str) – (required) The ID of the compartment in which to list resources.
resource_identifier (str) –
(optional) The OCID of the resource.
opc_request_id (str) – (optional) The client request ID for tracing.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeAccepted is descending. If no value is specified timeAccepted is default.
Allowed values are: “timeAccepted”, “timeUpdated”, “timeFinished”
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
limit (int) – (optional) The maximum number of items to return.
operation_type (list[str]) –
(optional) The work request operation type.
Allowed values are: “EXECUTE_SQL”, “EXECUTE_SQL_SCHEDULED_DELETION”
created_by_principal_id (str) – (optional) A filter to return only work requests initiated by the specified principal OCID.
status (list[str]) –
(optional) A filter to return only work requests with one of the specified status values.
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “FAILED”, “SUCCEEDED”, “CANCELING”, “CANCELED”, “WAITING”
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeWorkRequestCollection- Return type
- Example
Click here to see an example of how to use list_work_requests API.
- update_credential(database_tools_connection_id, credential_key, update_credential_details, **kwargs)¶
Update a credential
- Parameters
database_tools_connection_id (str) –
(required) The OCID of a Database Tools connection.
credential_key (str) – (required) The name of the credential
update_credential_details (oci.database_tools_runtime.models.UpdateCredentialDetails) – (required) The information to be updated.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeCredential- Return type
- Example
Click here to see an example of how to use update_credential API.
- update_database_tools_database_api_gateway_config_global(database_tools_database_api_gateway_config_id, global_key, update_database_tools_database_api_gateway_config_global_details, **kwargs)¶
Update a Database Tools database API gateway config global resource
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
global_key (str) –
(required) The key of the global config.
Allowed values are: “SETTINGS”
update_database_tools_database_api_gateway_config_global_details (oci.database_tools_runtime.models.UpdateDatabaseToolsDatabaseApiGatewayConfigGlobalDetails) – (required) The information to be updated.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigGlobal- Return type
- Example
Click here to see an example of how to use update_database_tools_database_api_gateway_config_global API.
- update_database_tools_database_api_gateway_config_pool(database_tools_database_api_gateway_config_id, pool_key, update_database_tools_database_api_gateway_config_pool_details, **kwargs)¶
Update a Database Tools database API gateway config pool resource
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
update_database_tools_database_api_gateway_config_pool_details (oci.database_tools_runtime.models.UpdateDatabaseToolsDatabaseApiGatewayConfigPoolDetails) – (required) The information to be updated.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigPool- Return type
- Example
Click here to see an example of how to use update_database_tools_database_api_gateway_config_pool API.
- update_database_tools_database_api_gateway_config_pool_api_spec(database_tools_database_api_gateway_config_id, pool_key, api_spec_key, update_database_tools_database_api_gateway_config_pool_api_spec_details, **kwargs)¶
Update a Database Tools database API gateway config API spec resource
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
api_spec_key (str) – (required) The key of the API spec config.
update_database_tools_database_api_gateway_config_pool_api_spec_details (oci.database_tools_runtime.models.UpdateDatabaseToolsDatabaseApiGatewayConfigPoolApiSpecDetails) – (required) The information to be updated.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDatabaseToolsDatabaseApiGatewayConfigPoolApiSpec- Return type
- Example
Click here to see an example of how to use update_database_tools_database_api_gateway_config_pool_api_spec API.
- update_database_tools_database_api_gateway_config_pool_auto_api_spec(database_tools_database_api_gateway_config_id, pool_key, auto_api_spec_key, update_database_tools_database_api_gateway_config_pool_auto_api_spec_details, **kwargs)¶
Update a Database Tools database API gateway config auto API spec resource
- Parameters
database_tools_database_api_gateway_config_id (str) –
(required) The OCID of a Database Tools database API gateway config.
pool_key (str) – (required) The key of the pool config.
auto_api_spec_key (str) – (required) The key of the auto API spec config.
update_database_tools_database_api_gateway_config_pool_auto_api_spec_details (oci.database_tools_runtime.models.UpdateDatabaseToolsDatabaseApiGatewayConfigPoolAutoApiSpecDetails) – (required) The information to be updated.
opc_request_id (str) – (optional) The client request ID for tracing.
if_match (str) – (optional) If-Match is most often used with state-changing methods (e.g., POST, PUT, DELETE) to prevent accidental overwrites when multiple user agentss might be acting in parallel on the same resource (i.e., to prevent the “lost update” problem). In general, it can be used with any method that involves the selection or modification of a representation to abort the request if the selected representation’s current entity tag is not a member within the If-Match field value. When specified on an action-specific subresource, the ETag value of the resource on which the action is requested should be provided.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
[...]
